GDB (xrefs)

Macros | Functions
new-op.c File Reference
`#include "common-defs.h"`
`#include "host-defs.h"`
`#include <new>`

Go to the source code of this file.

## Macros
#define | __has_feature(x) 0

## Functions
void * | operator new (std::size_t sz)
void * | operator new (std::size_t sz, const std::nothrow_t &) noexcept
void * | operator new[] (std::size_t sz)
void * | operator new[] (std::size_t sz, const std::nothrow_t &) noexcept

## Macro Definition Documentation

## ◆ __has_feature

#define __has_feature | ( |  | x | ) | 0

Definition at line 22 of file new-op.c.

## Function Documentation

## ◆ operator new() [1/2]

void* operator new | ( | std::size_t | sz | ) |

Definition at line 48 of file new-op.c.

References all_cleanups(), CATCH, do_cleanups(), END_CATCH, malloc_failure(), RETURN_MASK_ALL, and TRY.

## ◆ operator new() [2/2]

void* operator new | ( | std::size_t | sz,
|  | const std::nothrow_t & |
| ) |  |
| noexcept

Definition at line 79 of file new-op.c.

## ◆ operator new[]() [1/2]

void* operator new[] | ( | std::size_t | sz | ) |

Definition at line 88 of file new-op.c.

## ◆ operator new[]() [2/2]

void* operator new[] | ( | std::size_t | sz,
|  | const std::nothrow_t & |
| ) |  |
| noexcept

Definition at line 94 of file new-op.c.